<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_user', function (Blueprint $table) {
            $table->increments('id');
            $table->string('username',100)->comment('名称');
            $table->string('wechat_open_id',100)->comment('微信open_id');
            $table->string('wechat_union_id',100)->comment('微信union_id');
            $table->string('avatar',255)->comment('头像链接');
            $table->unsignedInteger('is_delete')->default(0)->comment('Is_delete');
            $table->unsignedinteger('store_id')->comment('商户号');
            $table->unsignedInteger('is_dealer')->comment('是否为经销商');
            $table->string('phone',20)->nullable()->default('')->comment('电话');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_user');
    }
}
